Installation update newbie question

I am installing a the win32-api gem and it gives an option of 4
possible choices. I see that the basic difference is version 1.0.6 vs
1.0.5 but what I do not get is what is the difference between ruby vs
x86-mswin32-60? What would I base my choice on?

Select which gem to install for your platform (i386-mswin32)

  1. win32-api 1.0.6 (x86-mswin32-60)
  2. win32-api 1.0.6 (ruby)
  3. win32-api 1.0.5 (x86-mswin32-60)
  4. win32-api 1.0.5 (ruby)
  5. Cancel installation

Thanks

Marco

marcoa wrote:

I am installing a the win32-api gem and it gives an option of 4
possible choices. I see that the basic difference is version 1.0.6 vs
1.0.5 but what I do not get is what is the difference between ruby vs
x86-mswin32-60? What would I base my choice on?

Select which gem to install for your platform (i386-mswin32)

  1. win32-api 1.0.6 (x86-mswin32-60)
  2. win32-api 1.0.6 (ruby)
  3. win32-api 1.0.5 (x86-mswin32-60)
  4. win32-api 1.0.5 (ruby)
  5. Cancel installation

Thanks

Marco

Hi Marco,

difference between ruby vs x86-mswin32-60

If u r working in Windows machine --> install x86-mswin32-60

If u r working other than windows --> install ruby

mswin32 is especially for windows machine.

(Pls correct if I misguiding Marco…)

Regards,
P.Raveendran
RailsFactory

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs